> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Webhook

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/hooks/{webhook_id}
Content-Type: application/json

Updates a webhook. You can add custom headers. At least one field is required to perform an update.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/integrations/webhooks/update-webhook

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes None required. Create and manage webhooks with the default scope of an API account. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `webhook_id` (integer, required) — The ID of a Webhook.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, optional, default: application/json) — The MIME type of the response body that the client accepts. Typically `application/json`.

### Body (application/json)

This endpoint expects a webhook_Put.

- `scope` (string, optional) — Event you subscribe to.
- `destination` (string, optional) — URL must be active, return a 200 response, and be served on port 443. Custom ports arenʼt currently supported.
- `is_active` (boolean, optional) — Boolean value that indicates whether the webhook is active or not.
- `headers` (WebhookPutHeaders, optional, nullable) — Headers used to validate that webhooks are active. You can pass in any number of custom headers to validate webhooks are being returned.

## Response

### 200

Example response

- `data` (HooksWebhookIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (any, optional)

## Types

### WebhookPutHeaders

Headers used to validate that webhooks are active. You can pass in any number of custom headers to validate webhooks are being returned.

### HooksWebhookIdPutResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `client_id` (string, optional)
- `store_hash` (string, optional)
- `scope` (string, optional)
- `destination` (string, optional)
- `headers` (HooksWebhookIdPutResponsesContentApplicationJsonSchemaDataHeaders, optional, nullable)
- `is_active` (boolean, optional)
- `created_at` (integer, optional) — The time the webhook was created, represented in UNIX epoch time.
- `updated_at` (integer, optional) — The time the webhook was most recently updated, represented in UNIX epoch time.

### HooksWebhookIdPutResponsesContentApplicationJsonSchemaDataHeaders

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "id": 18048287,
    "client_id": "m9r6keqmo7h7f23btnpwernbez1kglkl",
    "store_hash": "sftg45fsd",
    "scope": "store/order/created",
    "destination": "https://665b65a6.ngrok.io/webhooks",
    "headers": {
      "custom-key": "developer-defined value"
    },
    "is_active": true,
    "created_at": 1561488106,
    "updated_at": 1561488106
  },
  "meta": {}
}
```

**SDK Code**

```python application/json
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593"

payload = {}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript application/json
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go application/json
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby application/json
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java application/json
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php application/json
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp application/json
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift application/json
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```